## net.i2p.util
Class LogRecord

    java.lang.Object
      net.i2p.util.LogRecord

     class LogRecord

extends Object

Frisbee

Constructor Summary
`LogRecord(Class src, String name, String threadName, int priority, String msg, Throwable t)`

Method Summary
`long` `getDate()`
`String` `getMessage()`
`int` `getPriority()`
`Class` `getSource()`
`String` `getSourceName()`
`String` `getThreadName()`
`Throwable` `getThrowable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogRecord

    public LogRecord(Class src,
                     String name,
                     String threadName,
                     int priority,
                     String msg,
                     Throwable t)

Method Detail

### getDate

    public long getDate()

### getSource

    public Class getSource()

### getSourceName

    public String getSourceName()

### getThreadName

    public String getThreadName()

### getPriority

    public int getPriority()

### getMessage

    public String getMessage()

### getThrowable

    public Throwable getThrowable()